Inspect Discord messaging apps
curl --request GET \
--url https://api.interchange.io/api/v2/messaging-apps/discord \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/discord"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/messaging-apps/discord', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"definitions": [
{
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"agentKey": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
},
"providerRef": {
"provider": "slack",
"applicationId": "<string>"
},
"status": "draft"
},
"credentialConfigured": true,
"installations": [
{
"installation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"providerRef": {
"provider": "slack",
"applicationId": "<string>",
"workspaceId": "<string>"
},
"status": "active",
"installedAt": "2023-11-07T05:31:56Z"
},
"credentialConfigured": true,
"identityBindings": [
{
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": 4503599627370495,
"userEmail": "<string>",
"userName": "<string>",
"linkedByUserId": 4503599627370495,
"permissionLevel": "BASIC",
"membershipActive": true,
"status": "active",
"verifiedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
],
"conversationBindings": {
"total": 4503599627370495,
"direct": 4503599627370495,
"channel": 4503599627370495,
"lastBoundAt": "2023-11-07T05:31:56Z"
},
"inboundReceipts": {
"received": 4503599627370495,
"processing": 4503599627370495,
"completed": 4503599627370495,
"ignored": 4503599627370495,
"failed": 4503599627370495,
"lastReceivedAt": "2023-11-07T05:31:56Z"
}
}
],
"interactionEndpoint": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
Inspect Discord messaging apps
List the authenticated customer’s Discord app definitions, installations, linked Interchange members, conversation-binding counts, and content-free inbound receipt status. Provider credentials, actor digests, message content, and raw webhook payloads are never returned. Requires a directly authenticated active organization administrator.
GET
/
messaging-apps
/
discord
Inspect Discord messaging apps
curl --request GET \
--url https://api.interchange.io/api/v2/messaging-apps/discord \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/messaging-apps/discord"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/messaging-apps/discord', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"definitions": [
{
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"agentKey": "<string>",
"brand": {
"displayName": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"shortDescription": "<string>",
"accentColor": "<string>",
"iconAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"termsUrl": "<string>"
},
"providerRef": {
"provider": "slack",
"applicationId": "<string>"
},
"status": "draft"
},
"credentialConfigured": true,
"installations": [
{
"installation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": 4503599627370495,
"providerRef": {
"provider": "slack",
"applicationId": "<string>",
"workspaceId": "<string>"
},
"status": "active",
"installedAt": "2023-11-07T05:31:56Z"
},
"credentialConfigured": true,
"identityBindings": [
{
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": 4503599627370495,
"userEmail": "<string>",
"userName": "<string>",
"linkedByUserId": 4503599627370495,
"permissionLevel": "BASIC",
"membershipActive": true,
"status": "active",
"verifiedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
],
"conversationBindings": {
"total": 4503599627370495,
"direct": 4503599627370495,
"channel": 4503599627370495,
"lastBoundAt": "2023-11-07T05:31:56Z"
},
"inboundReceipts": {
"received": 4503599627370495,
"processing": 4503599627370495,
"completed": 4503599627370495,
"ignored": 4503599627370495,
"failed": 4503599627370495,
"lastReceivedAt": "2023-11-07T05:31:56Z"
}
}
],
"interactionEndpoint": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}